<html>
  <head>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <script>
      function render(d) {
        console.log('running render function')
        for (let i = 0; i < d.length; i++) {
          let k = document.createElement('div')
          let v = document.createElement('div')
          k.className = 'td'
          v.className = ['td','i'].join(' ')
          console.log(k)
          k.innerHTML = d[i].key
          v.innerHTML = d[i].value
          document.getElementById('info').appendChild(k)
          document.getElementById('info').appendChild(v)
        }
      }
      function init() {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', 'data');
        xhr.send(null);

        xhr.onreadystatechange = function () {
          var DONE = 4; // readyState 4 means the request is done.
          var OK = 200; // status 200 is a successful return.
          if (xhr.readyState === DONE) {
            if (xhr.status === OK) {
              render(JSON.parse(xhr.responseText)); // 'This is the returned text.'
            } else {
              console.log('Error: ' + xhr.status); // An error occurred during the request.
            }
          }
        }
      }
    </script>
    <style>
      :root {
        --color-inv-blue: #002d72;
        --color-inv-green: #007a33;
        --color-inv-black: #00142A;
        --color-inv-red: #E35205;
        --color-inv-lime: #1DE374;
        --color-inv-grey: #F2F2F2;
        font-family: 'Mulish';
      }
      h1 {
        font-weight: 200;
        font-size: 4rem;
        color: var(--color-inv-blue)
      }
      #info {
        display: grid;
        grid-template-columns: auto minmax(0, 1fr);
        max-width: 1000px;
      }
      .th {
        text-transform: uppercase;
        font-weight: 900;
        background-color: var(--color-inv-grey);
        padding: .4em .8em;
      }
      .td {
        padding: .2em .8em;
      }
      .i {
        font-style: italic;
      }
      .logo {
        width: 100px;
        position: fixed;
        bottom: 50;
        right: 50;
      }
      .kill {
        width: 50px;
        position: fixed;
        bottom: 50;
        left: 50;
      }
    </style>
  </head>
  <body>
    <h1>Kube Node Info</h1>
    <div id="info">
      <div class="th" style="grid-column: 1; grid-row: 1;">Key</div>
      <div class="th" style="grid-column: 2; grid-row: 1;">Value</div>
    </div>
    <img src="logo" class="logo" />
    <a href="kill" class="kill"><img src="kill.png" width="50" /></a>
    <script>
      init()
    </script>
  </body>
</html>